package com.bplscale

import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.module.annotations.ReactModule
import com.facebook.react.turbomodule.core.interfaces.TurboModule

@ReactModule(name = BPLScaleModule.NAME)
class BPLScaleModule(
  reactContext: ReactApplicationContext
) : NativeBPLScaleSpec(reactContext), TurboModule {

  override fun hello(name: String): String {
    return "Hello $name from Kotlin TurboModule"
  }

  companion object {
    const val NAME = "BPLScale"
  }
}
